{*init.inc**************************************************************

 Compiler directives for TKTrace

 Created           : 06/02/93
 Last Change       : none
 Revisions         : none

 ***********************************************************************}

{$UNDEF Debug}
{$UNDEF DebugShader}
{$DEFINE Generate_286}
{$UNDEF NoRuntimeError}
{$UNDEF CoPro_Emulation}
{$UNDEF Overlay_enable }

{*Standard Directives***************************************************

 A+ word alignment on
 B- boolean evaluation short
 N+ Numeric Processing 8087/80287
 S+ Stack Checking on
 V- Var string checking relaxed
 X+ Extended syntax on                                                }

 {$A+,B-,N+,S+,V-,X+,I+}

{*Debug****************************************************************

 D Debug information
 L Local symbols
 R Range Checking                                                     }

 {$IFDEF Debug}
   {$D+,L+,R+}
 {$ELSE}
   {$D+,L+,R-}
 {$ENDIF}

{*Numeric Co-processor Emulation***************************************

 E+ Coprocessor emulation on                                          }

 {$IFDEF CoPro_Emulation}
   {$E+}
 {$ENDIF}

{*286 Code Generation**************************************************

 G+ 287 Code Generation on                                             }

 {$IFDEF Generate_286}
   {$G+}
 {$ENDIF}

{*Enable Overlays******************************************************

 O+ Overlay code generation on
 F+ Force Far Calls                                                   }

 {$IFDEF Overlay_enable }
   {$O+,F+}
 {$ENDIF}

